<%
edit_link(
  decidim_admin.static_pages_path,
  :read,
  :static_page
)
%>

<div class="wrapper">
  <div class="row column">
    <div class="text-center">
      <h1 class="heading1 page-title">
        <%= t "decidim.pages.index.title" %>
      </h1>
      <p class="intro--text subheading1">
        <%= t(".subheading", name: current_organization.name) %>
      </p>
    </div>
  </div>

  <% if @topics.any? %>
    <div class="row">
      <h3 class="section-heading"><%= t ".topics" %></h3>
      <div class="row collapse">
        <div class="row small-up-1 smallmedium-up-2 mediumlarge-up-2 large-up-3 card-grid">
          <% @topics.each do |topic| %>
            <% if topic.pages.any? %>
              <div class="column">
                <article class="card card--process card--mini">
                  <div class="card__content">
                    <h4 class="card__title">
                      <%= link_to translated_attribute(topic.title), page_path(topic.pages.first), class: "card__link" %>
                    </h4>
                    <p><%= translated_attribute topic.description %></p>
                    <ul>
                      <% topic.pages.each do |page| %>
                        <li><%= link_to translated_attribute(page.title), page_path(page) %></li>
                      <% end %>
                    </ul>
                  </div>
                  <div class="card__footer">
                    <div class="card__support">
                      <%= link_to t(".read_more"), page_path(topic.pages.first), class: "card__button button secondary button--sc small light" %>
                    </div>
                  </div>
                </article>
              </div>
            <% end %>
          <% end %>
        </div>
      </div>
    </div>
  <% end %>

  <% if @orphan_pages.any? %>
    <div class="row">
      <h3 class="section-heading"><%= t ".standalone_pages" %></h3>
      <div class="row collapse">
        <div class="row small-up-1 smallmedium-up-2 mediumlarge-up-2 large-up-3 card-grid">
          <% @orphan_pages.each do |page| %>
            <div class="column">
              <article class="card card--process card--mini">
                <div class="card__content">
                  <h4 class="card__title">
                    <%= link_to translated_attribute(page.title), page_path(page), class: "card__link" %>
                  </h4>
                  <%== strip_tags html_truncate(translated_attribute(page.content), length: 140, separator: "...") %>
                </div>
                <div class="card__footer">
                  <div class="card__support">
                    <%= link_to t(".read_more"), page_path(page), class: "card__button button secondary button--sc small light" %>
                  </div>
                </div>
              </article>
            </div>
          <% end %>
        </div>
      </div>
    </div>
  <% end %>
</div>
